[system/kio-snapshot] /: Try to build and test on KDE Linux CI image

Bharadwaj Raju <[email protected]>
Newsgroups gmane.comp.kde.cvs
Message-ID <[email protected]>
Git commit aa7c910768e41013bb550b7861eac0bbf57219ed by Bharadwaj Raju.
Committed on 28/07/2026 at 05:12.
Pushed by bharadwaj-raju into branch 'master'.

Try to build and test on KDE Linux CI image

... which allows sudo usage. Thanks to Harald for the suggestion ^^

M  +12   -0    .gitlab-ci.yml
A  +18   -0    ci_build_test.sh

https://invent.kde.org/system/kio-snapshot/-/commit/aa7c910768e41013bb550b7861eac0bbf57219ed

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 20622ea..317a22b 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -7,6 +7,7 @@ include:
       - /gitlab-templates/reuse-lint.yml
       - /gitlab-templates/linux-qt6.yml
       - /gitlab-templates/json-validation.yml
+      - /gitlab-templates/blocks/workflow.yml
 
 # clazy, thanks to Kate for the config
 build_clazy:
@@ -26,3 +27,14 @@ build_clazy:
     - cmake -DENABLE_PCH=OFF -DBUILD_TESTING=OFF -DWARNINGS_AS_ERRORS=ON -G Ninja -DCMAKE_INSTALL_PREFIX=$CI_PROJECT_DIR/_install -DKF6DocTools_FOUND=false $CI_PROJECT_DIR
     - ninja -k 0
   artifacts: null
+
+build_tests_kdelinux:
+  stage: build
+  rules:
+    - !reference [.default_rules, rules]
+  tags:
+    - amd64
+  image: storage.kde.org/vm-images/kde-linux-builder
+  script: ./ci_build_test.sh
+  artifacts:
+    untracked: false
diff --git a/ci_build_test.sh b/ci_build_test.sh
new file mode 100644
index 0000000..491e108
--- /dev/null
+++ b/ci_build_test.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+# SPDX-FileCopyrightText: 2026 Bharadwaj Raju <[email protected]>
+# SPDX-License-Identifier: LGPL-2.0-or-later
+
+set -eux
+
+sudo pacman --sync --refresh --noconfirm btrfs-progs
+mkdir build
+cmake -B build -S . -DBUILD_TESTING=ON -DCMAKE_BUILD_TYPE=Debug
+cmake --build build
+SOURCEDIR=$PWD
+cd /tmp
+bash "$SOURCEDIR/autotests/prep_btrfs.sh"
+cd "$SOURCEDIR"
+export KIO_SNAPSHOT_TEST_MOUNTPOINT=/tmp/butter-tray
+export QML_LOGGING_RULES="default.debug=true"
+cmake --build build --target test
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.